OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
IsEmptyAction Struct Reference

Action to check if a vehicle has no stored cargo. More...

## Public Member Functions
bool | operator() (const Vehicle *v)
| Checks if the vehicle has stored cargo.

## Detailed Description

Action to check if a vehicle has no stored cargo.

Definition at line 1351 of file economy.cpp.

## Member Function Documentation

bool IsEmptyAction::operator() | ( | const Vehicle * | v | ) |
| inline

Checks if the vehicle has stored cargo.

Parameters

  v | Vehicle to be checked.

Returns
  true if v is either empty or has only reserved cargo, false otherwise.

Definition at line 1358 of file economy.cpp.

References Vehicle::cargo, and VehicleCargoList::StoredCount().

The documentation for this struct was generated from the following file:

- src/economy.cpp